﻿
.sortable-list {
    list-style: none;
    max-width: 600px;
    background: #e0e0e0;
    padding: 4px;
    border-radius: 6px;
}

.sortable-item {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    padding: 10px;
    margin: 10px;
    box-shadow: 0 0 12px rgba(0,0,0,0.25);
    border-radius: 6px;
    max-width: auto;
    background: #ffffff;
}

.handle {
    cursor: grab;
    font-weight: bold;
    color: #888;
}

.drag-icon {
    fill: #0078d4;
}

.sortable-item,
.handle {
    user-select: none;
}

.sortable-item input,
.sortable-item select {
    flex: 1;
    padding: 6px 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    user-select: auto;
}

.sortable-ghost {
    opacity: 0.5;
}

.invoice-extra-fields-container {
    margin: 20px;
    position: fixed;
    top: 4rem;
    right: 0;
    left: 11rem;
    bottom: 4rem;
    overflow-x: auto;
}

.sortable-item[data-enabled="no"] .handle {
    position: relative;
    opacity: 0.5;
    cursor: not-allowed;
}

.sortable-item[data-enabled="no"] .handle::after {
    content: "";
    position: absolute;
    inset: 0;
    cursor: not-allowed;
}

.sortable-item[data-enabled="no"] .drag-icon {
    fill: #888;
}

.row-content {
    display: grid;
    grid-template-columns: auto 1fr 0.5fr 0.5fr;
    column-gap: 10px;
    align-items: center;
    margin-right: 10px;
}

.row-content.disabled-row {
    position: relative;
    opacity: 0.5;
    cursor: not-allowed;
}

.row-content.disabled-row::after {
    content: "";
    position: absolute;
    inset: 0;
    cursor: not-allowed;
}